package com.jotuntech.sketcher.client.voice.aec;

/* Exponential Smoothing or IIR Infinite Impulse Response Filter */

public class IIRHP {
	/* Transfer Frequency */
	private final static float a0 = 0.01f;

	private float x;

	float highpass(float in) {
		/* Highpass = Signal - Lowpass. Lowpass = Exponential Smoothing */
		x += a0 * (in - x);
		return in - x;
	}
}