package com.jotuntech.sketcher.common;

import java.nio.ByteBuffer;

/**
 * Abstract class for streamable objects.
 *
 * @author Thor Harald Johansen
 */
public interface Streamable {
	public abstract void decode(ByteBuffer in);
	public abstract void encode(ByteBuffer out);
}
