package com.jotuntech.sketcher.common;

import java.lang.ref.WeakReference;

public class UndoEntry {
	private WeakReference<Layer> layer;
	private UndoData undoData;

	public void setLayer(Layer layer) {
		this.layer = new WeakReference<Layer>(layer);
	}

	public Layer getLayer() {
		return layer.get();
	}

	public void setUndoData(UndoData undoData) {
		this.undoData = undoData;
	}

	public UndoData getUndoData() {
		return undoData;
	}
}
