package com.jotuntech.sketcher.server;

import com.jotuntech.sketcher.common.User;

public interface AccessController {
	boolean isLoginAllowed(Server server, String login, String password);
	boolean isKickAllowed(Server server, User source, User target);
	boolean isMessageAllowed(Server server, User source, String message);
	boolean isLayerActionAllowed(Server server, User source);
	boolean isViewer(Server server, User source);
}
