package com.jotuntech.sketcher.server;

public class CommandEntry {
	private Integer sourceKey;
	private Command command;

	public CommandEntry(Integer sourceKey, Command command) {
		if(sourceKey == null) {
			throw new NullPointerException("Source key can't be null.");
		} else if(command == null) {
			throw new NullPointerException("Command can't be null.");
		}
		this.sourceKey = sourceKey;
		this.command = command;
	}

	public Integer getSourceKey() {
		return sourceKey;
	}

	public Command getCommand() {
		return command;
	}
}
