package com.jotuntech.sketcher.server.command;

import java.nio.ByteBuffer;

import com.jotuntech.sketcher.server.Command;
import com.jotuntech.sketcher.server.Connection;
import com.jotuntech.sketcher.server.Server;

public class UndoDataCommand implements Command {
	byte[] data;

	public UndoDataCommand() {

	}

	public UndoDataCommand(byte[] data) {
		this.data = data;
	}

	public int perform(Server server, Connection connection) {
		return Connection.SEND_NONE;
	}

	public void decode(ByteBuffer in) {
		data = new byte[in.remaining()];
		in.get(data);
	}

	public void encode(ByteBuffer out) {
		out.put(data);
	}
}
