package com.jotuntech.sketcher.server.command;

import java.nio.ByteBuffer;

import com.jotuntech.sketcher.server.Command;
import com.jotuntech.sketcher.server.Connection;
import com.jotuntech.sketcher.server.Server;

public class UndoEntryCommand implements Command {
	int layerKey;

	public UndoEntryCommand() {

	}

	public UndoEntryCommand(int layerKey) {
		this.layerKey = layerKey;
	}

	public int perform(Server server, Connection connection) {
		return Connection.SEND_NONE;
	}

	public void decode(ByteBuffer in) {
		layerKey = in.getInt();
	}

	public void encode(ByteBuffer out) {
		out.putInt(layerKey);
	}
}
