package com.jotuntech.sketcher.common;

import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintStream;

import javax.swing.JTextArea;

public class ConsoleOutputStream extends OutputStream {
	JTextArea textArea;

	public ConsoleOutputStream(JTextArea textArea) {
		this.textArea = textArea;

		PrintStream consolePrintStream = new PrintStream(this);
		System.setOut(consolePrintStream);
		System.setErr(consolePrintStream);
	}

	public void write(int ch) throws IOException {
		textArea.append((char)ch + "");
		textArea.setCaretPosition(textArea.getText().length());
	}
}