package com.jotuntech.sketcher.common.filter;

public interface Filter {
	public void setSize(int width, int height);
	public void setParameterA(float a);
	public void setParameterB(float b);
	public void setParameterC(float c);
	public boolean isPass1ReadOnly();
	public boolean hasPass2();
	public boolean isPass2Reversed();
	public void startPass1();
	public int processPass1Pixel(int pixel);
	public void startPass2();
	public int processPass2Pixel(int pixel);
}
